<!-- Improved compatibility of back to top link: See: https://github.com/othneildrew/Best-README-Template/pull/73 -->
<a name="table-of-contents"></a>
<!--
*** Thanks for checking out the Best-README-Template. If you have a suggestion
*** that would make this better, please fork the repo and create a pull request
*** or simply open an issue with the tag "enhancement".
*** Don't forget to give the project a star!
*** Thanks again! Now go create something AMAZING! :D
-->



<!-- PROJECT SHIELDS -->
<!--
*** I'm using markdown "reference style" links for readability.
*** Reference links are enclosed in brackets [ ] instead of parentheses ( ).
*** See the bottom of this document for the declaration of the reference variables
*** for contributors-url, forks-url, etc. This is an optional, concise syntax you may use.
*** https://www.markdownguide.org/basic-syntax/#reference-style-links
-->


<!-- PROJECT LOGO -->
<br />
<div align="center">
  <a href="https://github.com/kostyafarber/alfred-notable-workflow">
    <img src="images/alfred-notable.png" alt="Logo" >
  </a>

<h3 align="center">Notable Alfred</h3>

  <p align="center">
    Search, open and make notes from <a href='https://www.alfredapp.com/alfred-5-whats-new/'>Alfred 5</a> in <a href='https://notable.app/'>Notable<a/>.
  </p>
</div>

![](https://camo.githubusercontent.com/7e7bdf5c529c8bc594e26038dbb1a3d360e9ede891fbdcef50b403ab5f88fc14/68747470733a2f2f696d672e736869656c64732e696f2f62616467652f636f6e747269627574696f6e732d77656c636f6d652d6f72616e67652e737667) [![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT)

<!-- TOC -->
## Table of Contents
- [Table of Contents](#table-of-contents)
- [Getting Started](#getting-started)
  - [Prerequisites](#prerequisites)
  - [Installation](#installation)
- [Usage](#usage)
  - [Search](#search)
  - [Create Note](#create-note)
- [Contributing](#contributing)
- [License](#license)
- [Contact](#contact)
- [Acknowledgments](#acknowledgments)

## Getting Started

### Prerequisites

* The beta version of [Notable]() **must** be installed for this workflow to run. It's available at `notable-insiders` [here](https://github.com/notable/notable-insiders/releases).

### Installation

1. Download from [GitHub releases](https://github.com/kostyafarber/alfred-notable-workflow/releases) and double click the file.
2. Drop the folder where your notes are located in the User Configuration (e.g `~/Dropbox/notes`)
   
<p align="right">(<a href="#table-of-contents">back to top</a>)</p>

## Usage

### Search
To search notes in Alfred type the keyword `na` followed by any of:
- `note name`
- `tag`
- `notebook`

If you would like to open your file with your default markdown editor you can hold `⌘` + `click`

![](/images/search.gif)

### Create Note
To create a note with Alfred type `nan` followed by the title of your note and an optional tag in the form:  

- `<note, tag>`

![](/images/new-note.gif)

<p align="right">(<a href="#table-of-contents">back to top</a>)</p>

<!-- CONTRIBUTING -->

## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.
<p align="right">(<a href="#table-of-contents">back to top</a>)</p>

<!-- LICENSE -->

## License

Distributed under the MIT License. See `LICENSE.txt` for more information.

<p align="right">(<a href="#table-of-contents">back to top</a>)</p>



<!-- CONTACT -->

## Contact

Kostya Farber - [@FarberKostya](https://twitter.com/FarberKostya) - kostya.farber@gmail.com

<p align="right">(<a href="#table-of-contents">back to top</a>)</p>



<!-- ACKNOWLEDGMENTS -->

## Acknowledgments

* [Built using Alfred-Workflow](https://www.deanishe.net/alfred-workflow/index.html)
* [Thanks to @NorthIsUp for making the above compatible with Python3](https://github.com/NorthIsUp/alfred-workflow-py3)
* [Great library for parsing frontmatter](https://pypi.org/project/python-frontmatter/)

<p align="right">(<a href="#table-of-contents">back to top</a>)</p>



<!-- MARKDOWN LINKS & IMAGES -->
